Subject: Re: [PATCH net-next] cxgb4: append firmware dump to vmcore in kernel panic

From: Rahul Lakkireddy <[email-masked]>
Date: Mon, 19 Feb 2018 18:04:17 +0530

On Saturday, February 02/17/18, 2018 at 02:11:01 +0530, David Miller wrote:
> From: Rahul Lakkireddy <[email-masked]>
> Date: Thu, 15 Feb 2018 19:24:42 +0530
> 
> > Register callback to panic_notifier_list.  Invoke dump collect routine
> > to append dump to vmcore.
> > 
> > Signed-off-by: Rahul Lakkireddy <[email-masked]>
> > Signed-off-by: Ganesh Goudar <[email-masked]>
> 
> There is absolutely no precedence for a networking driver dumping
> things into the vmcore image on a panic.
> 
> And I don't think this is a good idea.
> 
> Really, this commit message should have explained why this is desired
> and in what context it is legitimate for this driver in particular
> to do it.
> 
> A very detailed, long, complete commit message is especially important
> when you are deciding to blaze you own trail and do something no other
> networking driver has done before.
> 

My mistake.  Will add more info in the commit message in v2.

> I get really upset when I see changes like this, because you give me
> no preparation for what I'm about to read in the patch and therefore
> I have to go into this routine asking you to explain things properly.
> 
> But as-is, I see this panic notifier as a really bad idea.
> 

Our requirement is to analyze the state of firmware/hardware at the
time of kernel panic.  The dump will be written to pre allocated
buffer during kernel panic, which can be extracted later from the
vmcore, for post-analysis.

Panic notifier seemed to meet our requirement, as we are able to
collect dump during kernel panic and then extract it from vmcore.
Please suggest, if this can be done in a better way.

Thanks,
Rahul